CS::Animation::SkeletonAnimNodeFactoryMulti Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
CS::Animation::SkeletonAnimNodeFactoryMulti Class Reference

Base implementation of a CS::Animation::iSkeletonAnimNodeFactory with more than one child. More...

`#include <cstool/animnodetmpl.h>`

Inheritance diagram for CS::Animation::SkeletonAnimNodeFactoryMulti:

List of all members.

## Public Member Functions
virtual void | AddChildNode (iSkeletonAnimNodeFactory *factory)
| Add a child animation node to this node.
virtual void | ClearChildNodes ()
| Remove all child animation nodes from this node.
virtual iSkeletonAnimNodeFactory * | GetChildNode (size_t index) const
| Get the child animation node of this node with the given index.
virtual void | RemoveChildNode (iSkeletonAnimNodeFactory *factory)
| Remove a child animation node from this node.
| SkeletonAnimNodeFactoryMulti (const char *name)
| Constructor.
virtual | ~SkeletonAnimNodeFactoryMulti ()
| Destructor.
## Protected Attributes
csRefArray < CS::Animation::iSkeletonAnimNodeFactory > | childNodeFactories
| Array of child node factories.

## Detailed Description

Base implementation of a CS::Animation::iSkeletonAnimNodeFactory with more than one child.

Definition at line 264 of file animnodetmpl.h.

## Constructor & Destructor Documentation

CS::Animation::SkeletonAnimNodeFactoryMulti::SkeletonAnimNodeFactoryMulti | ( | const char * | name | ) |

Constructor.

virtual CS::Animation::SkeletonAnimNodeFactoryMulti::~SkeletonAnimNodeFactoryMulti | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 276 of file animnodetmpl.h.

## Member Function Documentation

virtual void CS::Animation::SkeletonAnimNodeFactoryMulti::AddChildNode | ( | iSkeletonAnimNodeFactory * | factory | ) | `[virtual]`

Add a child animation node to this node.

It is NOT valid to provide a null pointer.

virtual void CS::Animation::SkeletonAnimNodeFactoryMulti::ClearChildNodes | ( |  | ) | `[virtual]`

Remove all child animation nodes from this node.

virtual iSkeletonAnimNodeFactory* CS::Animation::SkeletonAnimNodeFactoryMulti::GetChildNode | ( | size_t | index | ) | const`[virtual]`

Get the child animation node of this node with the given index.

virtual void CS::Animation::SkeletonAnimNodeFactoryMulti::RemoveChildNode | ( | iSkeletonAnimNodeFactory * | factory | ) | `[virtual]`

Remove a child animation node from this node.

## Member Data Documentation

csRefArray<CS::Animation::iSkeletonAnimNodeFactory> CS::Animation::SkeletonAnimNodeFactoryMulti::childNodeFactories`[protected]`

Array of child node factories.

Definition at line 300 of file animnodetmpl.h.

The documentation for this class was generated from the following file:

- cstool/animnodetmpl.h